<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * CLAAN - Clickable Login Avatar & Name
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function CLAAN_Links(&$buffer)
{
	global $modSettings, $context, $scripturl, $txt;
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;
	
	$claan = array();

	// Define the old and the new
	if (!empty($modSettings['enable_claan']) && !$context['user']['is_guest']) {
		$nonlinked_avatar = '<p class="avatar">' . $context['user']['avatar']['image'] . '</p>';
		$linked_avatar = '<p class="avatar"><a href="' . $scripturl . '?action=profile" title="' . $txt['view_profile'] . '">' . $context['user']['avatar']['image'] . '</a></p>';
		if (!empty($context['user']['avatar']['image'])) { $claan[$nonlinked_avatar] = $linked_avatar; }
		$nonlinked_name = '<span>' . $context['user']['name'] . '</span></li>';
		$linked_name = '<span><a href="' . $scripturl . '?action=profile" title="' . $txt['view_profile'] . '">' . $context['user']['name'] . '</a></span></li>';
		$claan[$nonlinked_name] = $linked_name;
	}
	// Now let's change them, if we're allowed to
	return str_replace(array_keys($claan), array_values($claan), $buffer);
}

function CLAAN_Texts()
{
	// Load language(s)
	loadLanguage('CLAAN');
}

function CLAAN_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('CLAAN');
	// Add setting(s)
	$claan = array(
			'',
			array('check', 'enable_claan'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $claan);
}
?>